/* This file is Copyright 2001 Level Control Systems.  See the included LICENSE.txt file for details. */

/******************************************************************************
/
/     File:     PortableTypeDefs.h
/
/     Description:     Some of Be's type declarations, for use on non-Be systems.
/
*******************************************************************************/

#ifndef _PORTABLETYPEDEFS_H
#define _PORTABLETYPEDEFS_H

#ifdef __BEOS__
# include <support/SupportDefs.h>  // might as well use the real thing (and avoid complaints about duplication)
#else

#ifdef __ATHEOS__
# include </ainc/atheos/types.h>
    typedef uint32                  type_code;
#else
# ifndef PORTABLE_TYPES_PREDEFINED  /* certain (ahem) projects already set these themselves... */
    typedef signed char             int8;
    typedef unsigned char           uint8;
    typedef short                   int16;
    typedef unsigned short          uint16;
    typedef long                    int32;
    typedef unsigned long           uint32;
#  ifdef WIN32
    typedef __int64                 int64;
    typedef unsigned __int64        uint64;
    typedef long                    ssize_t;
#  else
    typedef long long               int64;
    typedef unsigned long long      uint64;
#  endif
    typedef unsigned char           uchar;
    typedef unsigned short          unichar;                   
    typedef uint32                  type_code;
    typedef int32                   status_t;
#   define true                     1
#   define false                    0
#  endif  /* !PORTABLE_TYPES_PREDEFINED */
# endif  /* !__ATHEOS__*/
#endif  /* !__BEOS__ */

#endif   /* _PORTABLETYPEDEFS_H */
